import Sleep from '../components/sleep'

export default function Manual (props) {
  return (
    <div>
      {renderMaual()}
    </div>
  )
}

function renderMaual () {
  return (
    <div>
      <center>
        <h1>Moodle/Elearnig/KMOOC manual</h1>
      </center>
      <Sleep />
      <center>
        Ez a userscript Moodle/Elearnig/KMOOC tesztek megoldása során segítséget jelenít meg.
      </center>
      <p />
      <b>A válasz ablakban jobb felül lévő százalék jelzi, hogy mekkora eséllyel jó a megoldás. Ez
        sokszor jó viszonyítás, de semmi sem biztos! Bármikor előfordulhat, hogy nem jó a
        megjelenített válasz! Ezért csak saját felelősségedre használd!</b> Sok kikerülhetetlen
        hibalehetőség van, amit egyszerű nem lehet scriptben lekezelni (Pl rosszul megadott kérdés
        tanár részéről). Kézzel is lehet keresni a elmentett kérdések között. Továbbá ha a moodle
        oldalán a DOM megváltozik, a script nem fog működni! Ez nem annyira gyakori, de bármikor
        megtörténhet! Érdemes nem kikapcsolni a tampermonkey-ban a userscript frissítést. Ez nem
        windows update, itt tényleg hibajavítások jönnek ki. Hiba, észrevétel esetén :
      <a target='_blank' href='https://qmining.frylabs.net/feedback?man'>Script Feedback</a> (ezt gyakran még
        aznap megnézem.)
      <p />
      <p />
      <b>Továbbá ez a userscript HTTP requestekket küld egy szerver felé, ahova az összes megoldott
        tesztjeid kérdéseit és (helyes)válaszait feltölti! Ezzel garantálja, hogy neked, és mindenki
        másnak a legfrissebb adatok állnak rendelkezésre.</b>
      <center>
        <h3>Tartalomjegyzék</h3>
      </center>
      <hr />
      <ul>
        <li>
          <b>Használat</b> - Ez szuper fontos, elsőnek olvasd el
        </li>
        <li>
          <b>Jelszavak</b> - Pár infó hogy működik a jelszavas rendszer
        </li>
        <li>
          <b>Eddigi teszt kérdések</b> - Itt elérhető az eddigi összes ismert teszt
        kérdés-válaszai
        </li>
        <li>
          <b>Gyakran előforduló kérdések</b> - Ha itt nincs kérdésed, akkor <a
            href='http://qmining.frylabs.net/feedback?man'>itt</a> tedd fel!
        </li>
        <li>
          <b>Adat egyszerűsítés</b> - Ha túl sok egyforma kérdésed van ;)
        </li>
        <li>
          <b>Other stuff</b>
        </li>
      </ul>
      <center>
        <h3>Használat</h3>
      </center>
      <hr />
      <table style={{ tableLayout: 'fixed', verticalAlign: 'top', width: '100%' }}>
        <tbody>
          <tr>
            <td>
              <p /> Először is tölts le egy userscript futtató kiegészítőt a böngésződhöz. Én <a
                href='https://www.tampermonkey.net/'>Tampermonkeyt</a> használok, és ezzel van tesztelve a
                userscript is, ezért ez ajánlott. Más is működhet (violentmonkey, etc), de az nem garantált.
                Majd a <a href='http://qmining.frylabs.net/install?man'>weboldalról</a> egy kattintással elvileg
                le tudod tölteni a scriptet, és elvileg kész is. Script majd udvariasan megkéri, hogy
                hagy beszélgessen a szerverrel, mert mással nem tud.
              <p />
              <p /> Teszt közben még több dolog történhet:
              <p />
              <ul>
                <li><b>Nem jó kérdésre ad választ a script:</b> Ilyenkor az van, hogy nincs meg a
                kérdés, vagy több hasonló kérdés/válasz van. Ilyenkor a jobbra/balra gombbal
                váltogathatsz azok a kérdés/válasz combók közül, amit talált a script</li>

                <li><b>Több teszt kérdés van egy oldalon:</b> Fel le gombbal váltogathatsz a kérdések között.
                Ilyenkor is működik az előbb említett funkció. Az indexek, amit kiír a bal felső sarokban:
                aktuális kérdés száma / aktuális találat száma.</li>

                <li><b>Nem jelenik meg semmi, vagy nem működik a script:</b> Megesik az ilyesmi. Ha
                a webszerver még elérhető akkor ott meg bírod nézni a kérdéseket, és ott lehet
                keresgélni. Ha az sincs, akkor lehet hogy jól jön ha van <a href='http://qmining.frylabs.net/allqr.txt?man'> egy
                lementett kérdés gyűjteményed</a>.</li>
              </ul>

              <p /> Egyéb funkciók:
              <ul>
                <li>
                Ha esetleg videókat nézel, akkor spaceval lehet play/pausolni, és jobbra/balra
                gombbal ugrani a videóban.
                </li>
                <li>
                Ha bármikor nem kell a script, akkor a menü gomb alatt bekapcsolhatod a passzív
                módot, ami nem piszkálja a szervert. Vagy kikapcsolhatod magát a scriptet
                tampermonkey-ban. Ha bármiért is el akarod tüntetni a következő oldalig az éppen
                megjelenő script üzenetet, akkor középső egér gombbal kattintva rajta ezt
                megteheted.
                </li>
              </ul>
            </td>
            <td width='20%'>
              <img style={{ maxWidth: '100%', maxHeight: '100%' }} src='img/rtfm.jpg' alt='img' />
            </td>
          </tr>
        </tbody>
      </table>
      <center>
        <h3>Jelszavak</h3>
      </center>
      <hr />
      Ha ezt olvasod valszeg már van neked egy. Azért lett bevezetve, hogy azért nagyjából zárt
      legyen a felhasználók köre
      <ul>
        <li>
          A script és a weboldal használatához egy egyedi jelszó kell. Külön kell belépni mindkettőhöz
        </li>
        <li>
          Ha van jelszavad akkor bizonyos határok között te is tudsz generálni másokkal (ncore
          style). Meg van szabva hogy max mennyit adhatsz, abból csökken minden alkalommal, de
          bizonyos idő múlva ez növekszik
        </li>
        <li>
          Saját jelszavad ne oszd meg, belépésnél máshonnan azonnal ki leszel jelentkeztetve, és
          minek ha tudsz adni amúgy is
        </li>
        <li>
          Mivel felhasználóneved nincs, így teljesen anoním az egész. Ez miatt jelszót nem lehet
          megváltoztatni, hogy a szükséges komplexitás megmaradjon
        </li>
      </ul>
      <center>
        <h3>Eddigi teszt kérdések:</h3>
      </center>
      <hr />
      <a target='_blank' href='http://qmining.frylabs.net/legacy?man'><b>Eddigi összes kérdés</b></a>
      Továbbá ez még arra jó, hogy ha valamiért bugos a script, akkor itt tudsz ctrl-f el nézegetni, vagy
      ha lemented az összes kérdést, akkor még akkor is biztonságban vagy, ha netán leáll a szerver,
      vagy elmegy a neted. Bár úgy nehezen moodlezel, de mind1
      <center>
        <h3>Gyakran előforduló kérdések</h3>
      </center>
      <hr />
      <ul>
        <li>
          <b>1. Olyan helyeken fut le a script, ahol nem kellene, vagy zavar</b>
          <br /> Tampermonkey bővitmény ikon -{'>'} click -{'>'} scriptet kapcsold ki. Csak ne felejtsd
        visszakapcsolni ;) Meg passzív módot is bekapcsolhatod a menü gomb alatt.
        </li>
        <p />
        <li>
          <b>2. Túl nagy a kérdést és a választ megjelenítő ablak, nem tudok a válaszra kattintani</b>
          <br /> Zommolj ki egy kicsit, vagy kapcsold ki addig a scriptet. Továbbá középső
        egérgombra kattintva rá el bírod tüntetni az ablakot, amíg újra nem töltöd az oldalt,
        vagy másikra ugrasz.
        </li>
        <p />
        <li>
          <b>4. Mi ez a ... ?</b>
          <br />
          <img height='40%' src='img/imgq.jpg' alt='img' />
        </li>
        <li>
          <b>5.</b>
          <br />
          <img src='img/6.png' alt='img' />
        </li>
        <p />
        <li>
      Egyéb:<br />
          <a target='_blank' href='http://qmining.frylabs.net/feedback?man'>észrevétel</a>
        </li>
      </ul>
      <hr />
    </div>
  )
}
